# Generated by Django 5.1.8 on 2025-04-30 16:18

import os

from django.db import migrations, models


def set_attachment_name_from_path(apps, schema_editor):
    Attachment = apps.get_model('allocations', 'Attachment')
    for attachment in Attachment.objects.all():
        if attachment.path:
            attachment.name = os.path.basename(attachment.path.name)
            attachment.save(update_fields=['name'])


class Migration(migrations.Migration):

    dependencies = [
        ('allocations', '0013_remove_allocationreview_private_comments_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='attachment',
            name='name',
            field=models.CharField(max_length=250, default=''),
            preserve_default=False,
        ),
        migrations.RunPython(set_attachment_name_from_path, reverse_code=migrations.RunPython.noop),
        migrations.RenameField(
            model_name='attachment',
            old_name='path',
            new_name='file',
        ),
    ]
